body {
	font-family: $mainFont;
	&.page-node-type--home-page {
		main {
			@media (min-width: 75rem) {
				max-width: 1050px;
				margin-left: auto;
				margin-right: auto;
			}

			article[data-history-node-id="1"],
			div[id*="block-pagetitle"] {
				display: none;
			}
		}

		.region-bottom-slider {
			position: relative;
			margin: 0;

			&::before {
				content: '';
				display: block;
				width: 32px;
				height: 26px;
				position: absolute;
				top: 0;
				left: calc(50% - 16px);
				background: url(../images/twitter-logo.png) no-repeat center;
				background-size: contain;
			}
		}

		.region-bottom-content {
			width: 100%;
			max-width: 100%;
			display: block;
			margin: 0;
		}
	}

	&.show-pg-filters .view-project-gallery {
		.view-filters {
			display: block;
		}

		.hidden-item {
			display: block !important;
		}

		.pg-footer {
			display: none !important;
		}
	}

	&:not(.show-pg-filters) .view-project-gallery .view-content {
		display: inline-block;
		width: 100%;
		margin-top: 20px;
	}
}

.homepage-banner {
	height: 350px;
	width: 100%;
	display: flex;
	align-items: center;
	position: relative;

	@media (max-width: 991px) {
		height: 362px;
	}

	@include mobile-sm-only {
		height: 295px;
	}

	&::before {
		content: "";
		display: block;
		width: 100%;
		height: 100%;
		background: rgba(0, 0, 0, 0.3);
		position: absolute;
		top: 0;
		left: 0;
	}

	.container {
		position: relative;
		z-index: 1;
	}

	h1 {
		text-align: left;
		color: $white;
		font-size: 48px;
		line-height: 58px;

		@media (max-width: 1200px) {
			font-size: 40px;
			line-height: normal;
		}

		@media (max-width: 991px) {
			font-size: 28px;
		}

		@include mobile-tablet {
			font-size: 36px;
		}

		@include mobile-sm-only {
			font-size: 26px;
			line-height: 31px;
		}
	}

	p {
		font-family: $mainFont;
		font-style: normal;
		font-weight: 400;
		font-size: 24px;
		line-height: 30px;
		color: $white;
		max-width: 485px;
		display: block;
		margin-bottom: 40px;

		@media (max-width: 1200px) {
			font-size: 20px;
		}

		@media (max-width: 991px) {
			font-size: 18px;
		}

		@include mobile-sm-only {
			margin-bottom: 20px;
		}
	}

	.btn-lg-primary {
		@extend .button-text;
		padding: 10px 30px;
	}
}

div[id*="block-views-block-featured-project-block"] {
	>h2 {
		font-family: $mainFont;
		font-weight: 600;
		font-size: 32px;
		line-height: 38px;
		letter-spacing: -0.02em;
		color: $black;
		width: 100%;
		padding-bottom: 5px;
		border-bottom: 2px solid #336699;
		margin-bottom: 20px !important;
		margin-top: 80px;

		@include mobile-tablet {
			font-size: 24px;
			line-height: 28px;
			margin-top: 30px;
		}
	}

	img {
		border: none;
		padding: 0;
		box-shadow: none;
	}

	h2 {
		margin-bottom: 10px;

		a {
			color: $black;
			font-weight: 600;
			font-family: $mainFont;
		}
	}

	.banner-img {
		margin-bottom: 17px;
	}

	.content {
		display: flex;
		align-items: flex-start;
		justify-content: space-between;

		@media (max-width: 767px) {
			flex-direction: column;
		}

		@media (min-width: 768px) {
			.desc {
				flex: 0 0 75%;
			}
		}
	}

	.actions {
		display: inline-flex;
		justify-content: end;

		@media (max-width: 767px) {
			width: 100%;
		}

		a {
			font-size: 18px;
			color: $white;
			text-decoration: none;
			margin-top: 5px;

			@media (max-width: 767px) {
				font-size: 12px;
				text-align: center;
			}

			@media (min-width: 768px) {
				padding: 15px 30px !important;
			}
		}
	}
}

div[id*="block-views-block-project-gallery-block"],
div.recent-activities,
div.block-views-blockrecent-activities-block-1 {
	margin-top: 40px !important;

	>h2 {
		@extend .h5;
		color: $black;
		display: block;
		text-align: center;
		text-transform: uppercase;
		padding-bottom: 5px;
		border-bottom: 1.5px solid $black;
		margin: 20px 0;

	}
}

.view-project-gallery {
	form {
		.form-row {
			justify-content: space-between;
			flex-direction: column-reverse;

			@media (min-width: 768px) {
				flex-direction: row-reverse;
			}
		}

		.js-form-item {
			margin-bottom: 0;

			@media (max-width: 767px) {
				width: 100%;
				flex: 0 0 100%;

				&:not([class*="js-form-item-field-category-target-id"]) {
					margin-bottom: 15px;
				}
			}
		}

		// Categories filter
		div[data-drupal-selector*="edit-field-category-target-id-collapsible"] {
			border: none;
			padding: 0;
			margin: 0;
			min-width: 200px;

			button.btn.dropdown-toggle {
				font-family: $mainFont;
				font-style: normal;
				font-weight: 400;
				font-size: 0.75rem;
				text-align: left;
				text-transform: none;
				color: $black;
				line-height: 1rem;
				width: 100%;
				border: 1px solid $black;
				box-shadow: none;
				background-color: $white;
				background: url(../images/dropdown--icon.png) no-repeat;
				background-position: calc(100% - 8px);
				-webkit-background-size: 8px 5px;
				background-size: 8px 5px;
				padding: 0.375rem 1.25rem 0.375rem 0.75rem !important;

				&::after {
					display: none;
				}
			}

			.details-wrapper {
				border: 1px solid $black;
				border-top: 0;
				border-top-left-radius: 0;
				border-top-right-radius: 0;
				background: $white;
				transition: none;
				width: 100%;
				padding: 0.375rem 0.75rem;

				&.show {
					top: -2px !important;
				}

				.js-form-type-checkbox {
					padding: 10px;
					background: #f6f6f6;

					&:not(:first-of-type) {
						margin-top: 5px;
					}
				}
			}
		}

		.form-item-sort-by {
			display: flex;
			align-items: center;

			label {
				font-family: $mainFont;
				font-style: normal;
				font-weight: 400;
				font-size: 12px;
				line-height: 16px;
				letter-spacing: 0.02em;
				color: $black;
				margin-right: 10px;
				margin-bottom: 0;
			}
		}

		.form-actions {
			display: none;
		}

		select {
			font-family: $mainFont;
			font-style: normal;
			font-weight: 400;
			font-size: 12px;
			color: $black;
			line-height: 16px;
			border: 1px solid $black  !important;
			box-sizing: border-box;
			border-radius: 3px;
			appearance: none;
			background: url(../images/dropdown--icon.png) no-repeat;
			background-position: calc(100% - 8px);
			background-size: 8px 5px;
			padding-right: 20px;
			cursor: pointer;
		}
	}

	.view-list {
		width: calc(100% + 30px);

		@include mobile-sm-only {
			width: 100%;

			.search-results__content {
				margin: 0;

				.views-row {
					padding: 0;
				}
			}
		}
	}

	.search-results__content {
		width: 100%;
		display: flex;
		align-items: flex-start;
		flex-flow: row wrap;
		margin-left: -15px;
		margin-right: -15px;
		align-items: stretch;

		@include xs-screen {
			justify-content: space-between;
		}

		.views-field {
			height: 100%;
			position: relative;
			padding-bottom: 35px;

			.investigators {
				position: absolute;
				bottom: 0;
				right: 0;
				left: 0;
			}
		}

		.hidden-item {
			display: none;
		}
	}

	.view-footer {
		flex: 0 1 100%;
	}

	.views-row {
		margin-bottom: 30px;

		@include xs-screen {
			max-width: 330px;
		}
	}

	.view-footer {
		display: inline-block;
		width: 100%;
		padding-top: 0;
		margin-top: 30px;

		@media (max-width: 767px) {
			margin-bottom: 20px;
		}

		button {
			color: $white;
			text-decoration: none;
		}
	}

	.project-tile {
		.img-wrapper {
			position: relative;
			margin-bottom: 10px;
			height: 200px;
			overflow: hidden;
		}

		h3 {
			margin-bottom: 10px;

			a {
				color: $black;
				font-family: $mainFont;
				line-height: 29px;
			}
		}

		.investigators {
			display: inline-block;
			width: 100%;
			text-align: right;

			a {
				font-family: $mainFont;
				font-style: normal;
				font-weight: 500;
				font-size: 14px;
				line-height: 17px;
				color: $black;
				text-align: right;
				letter-spacing: -0.02em;
				text-transform: uppercase;
				display: inline-block;
			}
		}
	}

	ul.js-pager__items {
		list-style: none;
		text-align: center;
		padding: 0;
		margin: 40px auto 0;
		display: inline-block;
		width: 100%;

		a {
			@extend .btn-lg-primary;
		}
	}
}

// Recent Activity
div.recent-activities {
	>.content {
		@media (min-width: 992px) {
			width: calc(100vw - 10px);
			position: relative;
			margin-left: -50vw;
			left: 50%;
			padding-left: 10px;
		}
	}

	&.block {
		margin-top: 50px;

		@media (max-width: 991px) {
			margin-top: 30px;
		}
	}

	.activities-grid {
		display: grid;
		grid-template-columns: auto auto auto auto auto;
		grid-gap: 10px;
		padding-bottom: 10px;

		@media (min-width: 1100px) {
			grid-template-columns: auto 418px 218px 218px 286px;
		}

		@media (min-width: 992px) {
			grid-template-columns: 15% 35% 15% 15% 20%;
			margin-top: 30px;
		}

		@media (max-width: 991px) {
			grid-template-columns: repeat(2, 1fr);
		}

		@media (max-width: 767px) {
			grid-template-columns: repeat(2, 1fr);
		}

		.item {
			position: relative;
			background: rgba(51, 51, 51, 0.2);
			max-height: 417px;
			overflow: hidden;
			@include flex-center;

			.default-iconBox {
				min-height: 100%;
				align-items: center;
				justify-content: center;
				display: flex;
				flex-direction: column;

				@media (max-width: 991px) {
					padding: 28px 10px;
				}
			}

			@media (max-width: 991px) {
				width: 100%;
				max-height: 300px;
				min-height: 131px;
			}

			a {
				font-family: $mainFont;
				font-style: normal;
				font-weight: 500;
				font-size: 16px;
				line-height: 16px;
				display: block;
				width: 100%;
				text-align: center;
				padding: 0 15px;

				@include mobile-sm-only {
					font-size: 12px;
				}
			}

			img {
				border: none;
				padding: 0;
				box-shadow: none;
				height: auto;
				width: auto;
				max-width: initial;
				max-height: initial;

				&.icon {
					max-height: 50px;
					margin-bottom: 10px;
					max-width: 50px;

					@include mobile-sm-only {
						max-height: 32px;
						max-width: 32px;
					}
				}

				&:not(.icon) {
					min-width: 100%;
					min-height: 100%;

					+a {
						padding: 15px 20px;
						text-align: center;
						position: absolute;
						left: 0;
						bottom: 0;
						width: 100%;
						background: rgba(255, 255, 255, 0.9);
						color: $black;
						text-align: center;
					}
				}
			}

			&.item-1,
			&.item-2,
			&.item-5,
			&.item-6 {
				// padding: 15px;
				text-align: center;

				.detail {
					padding: 15px 20px;
					text-align: center;
					position: absolute;
					left: 0;
					bottom: 0;
					width: 100%;
					background: rgba(255, 255, 255, 0.9);

					p,
					a {
						color: $black;
						margin: 0;
						text-align: center;
					}
				}
			}

			&.item-4 {
				@media (min-width: 992px) {
					max-height: 200px;
				}
			}

			&.item-3,
			&.item-4,
			&.item-7 {
				.detail {
					padding: 15px 20px;
					text-align: left;
					position: absolute;
					left: 0;
					bottom: 0;
					width: 100%;
					background: rgba(255, 255, 255, 0.9);

					p,
					a {
						color: $black;
						text-align: center;
						margin: 0;
					}
				}
			}

			@media (min-width: 992px) {
				&.item-1 {
					width: 100%;
					height: 200px;
				}

				&.item-2 {
					width: 100%;
					height: 200px;
					grid-area: 2;
				}

				&.item-3 {
					grid-area: 1 / 2 / span 2 / span 1;
				}

				&.item-4 {
					grid-area: 1 / 3 / span 1 / span 2;
				}

				&.item-5 {
					grid-area: 2 / 3;
					max-height: 200px;
				}

				&.item-6 {
					grid-area: 2 / 4;
					max-height: 200px;
				}

				&.item-7 {
					grid-area: 1 / 5 / span 2 / span 1;
				}
			}
		}
	}
}

// Twitter block
.region-bottom-slider {
	.container {
		margin-top: 40px;
		border-top: 1.5px solid $black;
		max-width: 1030px;
	}

	.slick-arrow {
		padding: 0;
		margin: 0;
		font-size: 0;
		width: 18px;
		height: 28px;
		position: absolute;
		top: 40%;
		left: 0;
		border: none;
		box-shadow: none;
		background: url(../images/slider-arrow.png) no-repeat center;
		background-size: contain;
		z-index: 1;

		@media (max-width: 767px) {
			left: 5px;
		}

		&.slick-next {
			left: auto;
			right: 0;
			transform: rotate(180deg);

			@media (max-width: 767px) {
				right: 5px;
			}
		}
	}

	div.block-twitter-block {
		.content {
			display: flex;
			justify-content: center;
			width: 100%;

			iframe {
				@media (max-width: 767px) {
					min-width: 90% !important;
					width: 90% !important;
				}
			}
		}
	}
}

// Sponsors block
div[id*="block-views-block-sponsors-block-1"] {
	.search-results__content {
		margin-top: 30px;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		justify-content: space-evenly;

		@media (max-width: 767px) {
			padding-left: 12px;
			padding-right: 12px;
		}

		.views-row {
			margin-bottom: 30px;
		}

		img {
			padding: 0;
			border: none;
			box-shadow: none;
		}
	}
}

// .cwrc--theme-wrapper {
// 	.view-project-gallery .project-tile .img-wrapper {
// 		background-color: $steelblue;
// 	}

// 	div.recent-activities .activities-grid .item a {
// 		color: $steelblue;
// 	}
// }

// .leaf--theme-wrapper {
// 	.view-project-gallery .project-tile .img-wrapper {
// 		background-color: $mallard-green;
// 	}

// 	div.recent-activities .activities-grid .item a {
// 		color: $mallard-green;
// 	}
// }

.recent-activities {
	.activities-grid {
		overflow: auto;
	}
}

iframe#twitter-widget-2 {
	height: 260px;
}



@mixin themableActivitiesGrid($theme-name, $ActivitiesGridBg) {
	.#{$theme-name} {
		.view-project-gallery .project-tile .img-wrapper {
			background-color: $ActivitiesGridBg;
		}

		div.recent-activities .activities-grid .item a {
			color: $ActivitiesGridBg;
		}
	}
}

@include themableActivitiesGrid($cwrc, $steelblue);
@include themableActivitiesGrid($leaf, $mallard-green);
